---
title: FederatedCredential
slug: Web/API/FederatedCredential
tags:
  - API
  - Credential Management API
  - FederatedCredential
  - Interface
  - Reference
  - credential management
---
<div>{{SeeCompatTable}}{{APIRef("Credential Management API")}}</div>

<p>The <strong><code>FederatedCredential</code></strong> interface of the <a href="/en-US/docs/Web/API/Credential_Management_API">Credential Management API</a> provides information about credentials from a federated identity provider. A federated identity provider is an entity that a website trusts to correctly authenticate a user, and that provides an API for that purpose. <a href="http://openid.net/developers/specs/">OpenID Connect</a> is an example of a federated identity provider framework.</p>

<p>In browsers that support it, an instance of this interface may be passed in the <code>credential</code> member of the <code>init</code> object for global {{domxref('fetch')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("FederatedCredential.FederatedCredential()","FederatedCredential()")}}</dt>
 <dd>Creates a new <code>FederatedCredential</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its ancestor, {{domxref("Credential")}}.</em></p>

<dl>
 <dt>{{domxref("FederatedCredential.provider")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("USVString")}} containing a credential's federated identity provider.</dd>
 <dt>{{domxref("FederatedCredential.protocol")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing a credential's federated identity protocol.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var cred = new FederatedCredential({
  id: id,
  name: name,
  provider: 'https://account.google.com',
  iconURL: iconUrl
});

// Store it
navigator.credentials.store(cred)
  .then(function() {
  // Do something else.
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FederatedCredential")}}</p>
